import { Connection, IExtensionsService } from '@adminide-stack/extension-api';
export declare class ClientExtensions {
    private subscriptions;
    private proxy;
    /**
     * Implements the client side of extensions API.
     *
     * @param connection The connection to the extension host.
     * @param extensionRegistry An observable that emits the set of extensions that should be activated
     *                          upon subscription and whenever it changes.
     */
    constructor(connection: Connection, extensionRegistry: IExtensionsService);
    unsubscribe(): void;
}
//# sourceMappingURL=client-extensions.d.ts.map