import { Observable } from 'rxjs';
import { ApolloClient } from '@apollo/client/index.js';
import { RouterActions } from '@common-stack/remix-router-redux';
import { interfaces } from 'inversify';
import { IClientService } from '@adminide-stack/core';
import { IController, IExtServices } from '@adminide-stack/extension-api';
export declare function useExtensionController(): IController;
export declare const onLocationChangedToLoadExtEpic: (action$: Observable<RouterActions>, state$: Observable<any>, { apolloClient, routes, services, container, }: {
    apolloClient: ApolloClient<any>;
    routes: any;
    services: IClientService & IExtServices;
    container: interfaces.Container;
}) => Observable<never>;
//# sourceMappingURL=load-extension-script.d.ts.map